# $Revision: 1.21 $, $Date: 2009/06/18 07:19:36 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	PassGen
Summary:	Crypt::PassGen Perl module - generate a random password
Summary(pl.UTF-8):	Moduł Perla Crypt::PassGen - generujący losowe hasła
Name:		perl-Crypt-PassGen
Version:	0.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8aad942e5d407654d726f9c9a9d359a
Patch0:		%{name}-FHS.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	words
BuildConflicts:	wordlist
Requires:	words
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a single command for generating random password
that is close enough to a real word that it is easy to remember. It
does this by using the frequency of letter combinations in a language.

%description -l pl.UTF-8
Ten moduł udostępnia polecenie do generowania losowych haseł
zbliżonych do prawdziwych słów na tyle, że są łatwe do zapamiętania.
Używa do tego tablicy częstości występowania kombinacji liter w danym
języku.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/Crypt/PassGen.pm
%{perl_vendorlib}/Crypt/PassGenWordFreq.dat
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-PassGen.spec,v $
Revision 1.21  2009/06/18 07:19:36  amateja
- updated to 0.05

Revision 1.20  2008/07/27 22:51:10  arekm
- release 3

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:13  paladine
- formatting

Revision 1.16  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/06/02 08:19:46  ankry
- removed unnecessary R/BR, rel.++

Revision 1.14  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/20 09:46:29  ankry
- bcond fixes/porting

Revision 1.12  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.11  2003/12/23 08:11:13  misi3k
- updated to 0.04

Revision 1.10  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:29:26  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:42:22  ankry
- version 0.03, testst on bcond

Revision 1.2  2002/08/01 12:29:42  ankry
- /usr/share/dict/words from words package is required (BR:words, BC:wordlist)
- added -FHS.patch fixing path to this file
- release 2

Revision 1.1  2002/07/30 22:07:54  qboosh
- new
